{% extends 'base.html' %}
{% block title %} Create Archive {% endblock %}
{% block content %}
    <form method="post">
        {% csrf_token %}
        {{ form.as_p }}
        <label for='id_got_template'> Add Template &nbsp;</label><input type='checkbox' name='box1'
                                                                        id='id_got_template'>
        <br>
        <div class="container" style="display: none" id="id_template">
            <div class="mb-3">
                <label for="formFile" class="form-label">Incarca Template</label>
                <input class="form-control" type="file" id="formFile">
            </div>
        </div>
        <label for='id_got_template'> Add Template &nbsp;</label><input type='checkbox' name='box1'
                                                                        id='id_got_template'>
        <br>
        <button type="submit" class="btn btn-primary">Submit</button>

    </form>


    <script>
        $(function () {
            $('#id_got_template').click(function () {
                if ($('#id_got_template').is(':checked')) {
                    $('#id_template').show();
                } else {
                    $('#id_template').hide();
                }
            });
        });
    </script>
{% endblock %}